Bug 250708 - mail/milter-regex enhancement enabling foreground operation without debug
Summary: mail/milter-regex enhancement enabling foreground operation without debug
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-29 03:31 UTC by dewayne
Modified: 2020-12-31 15:16 UTC (History)
1 user (show)

See Also:
dinoex: maintainer-feedback+


Attachments
patch enabling foreground operation without debug (945 bytes, text/plain)
2020-10-29 03:31 UTC, dewayne
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dewayne 2020-10-29 03:31:36 UTC
Created attachment 219188 [details]
patch enabling foreground operation without debug
Comment 1 dewayne 2020-10-29 03:39:32 UTC
(In reply to dewayne from comment #0)

I've modified milter-regex to provide foreground operation without debug information.

milter-regex does offer foreground operation but with extensive debugging information, which isn't desirable.

I have provided the patch to the author at daniel@benzedrine.ch on 25th and 13th Oct without reply, so include it here should you wish to use.

Used on 12.1S amd64 and 12.2S i386
Comment 2 Dirk Meyer freebsd_committer 2020-11-02 17:28:48 UTC
What is your benefit for running it in foreground?
Comment 3 dewayne 2020-11-03 03:27:53 UTC
(In reply to Dirk Meyer from comment #2)
The benefit is that the process can be more closely monitored.  Using monitoring tools ease tracking (of restart times and some causes), provides more options regarding log files and tighter restart controls.  In this regard s6-rc/s6 is excellent.

Some of the other processes that I'm currently running in foreground: sendmail, dovecot, isc-dhcpd, isc's named, clamav, squid, samba (smbd,nmbd,winbindd), apache, thttpd, lighttpd, varnishd, ntpd, heimdal (on different boxes), opendkim, spamassassin (spamass-milter, spamd), vsftpd, openvpn, dropbear, openssh, hostapd & openldap's slapd allows a debug level 0 for foreground use).

I came across milter-regex, nut and strongswan which are the only three that don't enable a foreground option; though milter-regex & nut do but with debug noise (from a production use perspective).  I'll see if I can easily add foreground execution to nut-devel, but strongswan is going to be a challenge ;)

Thanks Dirk for your query. :)
Comment 4 commit-hook freebsd_committer 2020-12-31 12:14:56 UTC
A commit references this bug:

Author: dinoex
Date: Thu Dec 31 12:14:43 UTC 2020
New revision: 559726
URL: https://svnweb.freebsd.org/changeset/ports/559726

Log:
  - add patch for enabling foreground operation without debug
  PR:		250708
  Submitted by:	dewayne@heuristicsystems.com.au

Changes:
  head/mail/milter-regex/Makefile
  head/mail/milter-regex/files/patch-foreground